Loading...
Searching...
No Matches
copy_file.c File Reference
`#include <stdio.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <grass/gis.h>`
Include dependency graph for copy_file.c:

Go to the source code of this file.

## Functions

int | G_copy_file (const char *infile, const char *outfile)
| Copies one file to another.

## Function Documentation

## G_copy_file()

int G_copy_file | ( | const char * | infile,
|  | const char * | outfile )

Copies one file to another.

Creates a copy of a file. The destination file will be overwritten if it already exists, so the calling module should check this first if it is important.

Parameters

  infile | String containing path to source file
  outfile | String containing path to destination file

Returns
  1 on success; 0 if an error occurred (warning will be printed)

Definition at line 33 of file copy_file.c.

References G_warning(), and NULL.

Referenced by G_rename_file().